Your submission was sent successfully! Close

You have successfully unsubscribed! Close

Thank you for signing up for our newsletter!
In these regular emails you will find the latest updates about Ubuntu and upcoming events where you can meet our team.Close

USN-6053-1: PHP vulnerability

2 May 2023

PHP could be made to bypass password checking if a specially crafted input was provided.

Reduce your security exposure

Ubuntu Pro provides ten-year security coverage to 25,000+ packages in Main and Universe repositories, and it is free for up to five machines.

Learn more about Ubuntu Pro

Releases

Packages

  • php7.0 - HTML-embedded scripting language interpreter

Details

It was discovered that PHP incorrectly handled certain invalid Blowfish
password hashes. An invalid password hash could possibly allow applications to
accept any password as valid, contrary to expectations.

Reduce your security exposure

Ubuntu Pro provides ten-year security coverage to 25,000+ packages in Main and Universe repositories, and it is free for up to five machines.

Learn more about Ubuntu Pro

Update instructions

The problem can be corrected by updating your system to the following package versions:

Ubuntu 16.04

In general, a standard system update will make all the necessary changes.

References

Related notices

  • USN-5902-1: php7.4-bz2, php8.1-intl, php7.2-cli, libapache2-mod-php7.4, php8.1-ldap, php7.4-gd, php7.2-zip, php7.2-cgi, php7.4-opcache, php8.1-imap, php8.1-mysql, php7.4-dev, php8.1-cli, libapache2-mod-php8.0, php7.2, php8.1-soap, libphp7.4-embed, libphp7.2-embed, php7.4-tidy, php7.2-ldap, php7.4-xmlrpc, php7.4-pgsql, php8.1-interbase, php7.4-pspell, php8.1-readline, libapache2-mod-php7.2, php7.2-mbstring, php7.2-readline, php8.1-bcmath, php7.2-imap, php7.2-pgsql, php8.1-dev, php8.1-cgi, php7.2-curl, php8.1-odbc, php7.2-xmlrpc, php7.2-sybase, php8.1-sqlite3, libapache2-mod-php8.1, php7.4-phpdbg, php7.2-json, php7.4-odbc, php7.4-readline, php7.4-bcmath, php7.4-mysql, php7.4-cli, php7.2-snmp, php7.4-xml, php7.2-pspell, php7.4-json, php7.4-ldap, php7.2-enchant, php8.1-curl, php7.2-dev, php7.4-zip, php8.1-xml, php7.4-imap, php8.1-common, php8.1-pgsql, php8.1-enchant, php7.2-dba, php7.4-gmp, php7.4-common, php7.4-dba, php7.4-sybase, php7.2-bz2, php7.2-fpm, php7.2-opcache, php7.4-sqlite3, php8.1-zip, php7.4-fpm, php7.4-mbstring, php7.2-bcmath, php7.2-phpdbg, php7.4-snmp, libphp8.1-embed, php7.4-curl, php7.2-tidy, php7.4, php7.2-interbase, php8.1-fpm, php8.1-xsl, php7.4-intl, php7.2-sqlite3, php8.1-dba, php7.2-gmp, php7.4-soap, php8.1-mbstring, php8.1-phpdbg, php7.2-xml, php8.1-bz2, php8.1-gd, php7.2-mysql, php7.2-recode, php7.4-xsl, php8.1-gmp, php7.2-gd, php8.1-opcache, php7.2-xsl, php7.2-odbc, php8.1-sybase, php7.4-enchant, php8.1-snmp, php8.1-pspell, php7.2-common, php8.1-tidy, php7.2-soap, php7.4-cgi, php7.4-interbase, php8.1, php7.2-intl